targets
Get target by ID
GET
/
targets
/
{id}
Get target by ID
curl --request GET \
--url https://app.pentest-tools.com/api/v2/targets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pentest-tools.com/api/v2/targets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pentest-tools.com/api/v2/targets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "example.org",
"id": 123,
"type": "hostname",
"description": "<string>",
"workspace_id": 123
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Path Parameters
id of target to get
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get target by ID
